Skip to main content
POST
/
business_entities
/
{business_entity}
/
reset_preview
Reset preview
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/business_entities/{business_entity}/reset_preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "delete_historical": false
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/business_entities/{business_entity}/reset_preview"

payload = { "delete_historical": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({delete_historical: false})
};

fetch('https://sandbox.nmbr.co/services/payroll/business_entities/{business_entity}/reset_preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "business_entity",
  "data": {
    "business_number": "136549169RP9916",
    "name": "Bobs Burgers (#39616)",
    "legal_name": null,
    "legal_registration_number": null,
    "address_line_1": "13 Fake Street",
    "address_line_2": null,
    "city": "Toronto",
    "in_preview": true,
    "administrative_area": "ON",
    "province_code": "ON",
    "country_code": "CA",
    "postal_code": "M1M1M1",
    "contact_name": "Jean Smith",
    "contact_email": "smith@company.com",
    "contact_area_code": "111",
    "contact_phone_number": "2223333",
    "contact_extension": null,
    "pay_day_movement_setting": "inherit",
    "vacation_pay_formula_setting": "pay_date",
    "remitter_type": "regular",
    "status": "approved",
    "company": {
      "id": "<id>",
      "object": "company",
      "links": {
        "self": "/companies/<id>"
      }
    },
    "warnings": {
      "object": "list",
      "data": [
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "business_legal_information_not_provided"
          }
        },
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "bank_account_doesnt_exists"
          }
        },
        {
          "object": "warning",
          "data": {
            "namespace": "onboarding",
            "type": "bank_account_pad_not_signed"
          }
        }
      ]
    },
    "external_ref": null,
    "available_tax_properties": [
      "ca::tax_id",
      "ca::qc::tax_id",
      "ca::province_of_employment",
      "ca::federal_oc_surtax_exempt",
      "ca::on::eht",
      "ca::mb::eht",
      "ca::nl::eht",
      "ca::bc::eht",
      "ca::qc::eht"
    ],
    "effective_processing_speed": "three_day",
    "processing_speed": "inherit",
    "has_bank_accounts": false,
    "has_pay_schedules": false,
    "has_payrolls": false,
    "current_tax_jurisdiction": "ca_on",
    "ca_settings": {
      "roe_submission_setting": "manual"
    },
    "accounting_settings": {
      "default_bank_accounting_code": null,
      "default_payroll_payable_accounting_code": null,
      "resolve_journal_entry_stat_withholdings": true,
      "primary_tag_group": null,
      "block_approval_on_incomplete_journal_entries": false,
      "block_approval_on_missing_export_identifiers": false
    },
    "default_bank_accounting_code": null,
    "default_payroll_payable_accounting_code": null,
    "preferred_locale": null,
    "hold_funding_for_verification": false,
    "resolve_journal_entry_stat_withholdings": true,
    "primary_tag_group": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/business_entities/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

business_entity
string
required

Body

application/json
delete_historical
boolean
required

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("business_entity").

data
Business Entity ยท object